/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumCalculated;
import de.ship.db.tables.VDmCalcVarAdd;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmCalcVarAddRecord extends TableRecordImpl<VDmCalcVarAddRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.var_element</code>.
     */
    public void setVarElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.var_element</code>.
     */
    public Integer getVarElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.calc_order</code>.
     */
    public void setCalcOrder(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.calc_order</code>.
     */
    public Integer getCalcOrder() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.calc_tool</code>.
     */
    public void setCalcTool(EnumCalculated value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.calc_tool</code>.
     */
    public EnumCalculated getCalcTool() {
        return (EnumCalculated) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.fk_tabledef</code>.
     */
    public void setFkTabledef(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.fk_tabledef</code>.
     */
    public Integer getFkTabledef() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.var_short_name</code>.
     */
    public void setVarShortName(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.var_short_name</code>.
     */
    public String getVarShortName() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.group_name</code>.
     */
    public void setGroupName(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.group_name</code>.
     */
    public String getGroupName() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.table_element</code>.
     */
    public void setTableElement(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.table_element</code>.
     */
    public Integer getTableElement() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_dm_calc_var_add.table_name</code>.
     */
    public void setTableName(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_calc_var_add.table_name</code>.
     */
    public String getTableName() {
        return (String) get(7);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmCalcVarAddRecord
     */
    public VDmCalcVarAddRecord() {
        super(VDmCalcVarAdd.V_DM_CALC_VAR_ADD);
    }

    /**
     * Create a detached, initialised VDmCalcVarAddRecord
     */
    public VDmCalcVarAddRecord(Integer varElement, Integer calcOrder, EnumCalculated calcTool, Integer fkTabledef, String varShortName, String groupName, Integer tableElement, String tableName) {
        super(VDmCalcVarAdd.V_DM_CALC_VAR_ADD);

        setVarElement(varElement);
        setCalcOrder(calcOrder);
        setCalcTool(calcTool);
        setFkTabledef(fkTabledef);
        setVarShortName(varShortName);
        setGroupName(groupName);
        setTableElement(tableElement);
        setTableName(tableName);
        resetChangedOnNotNull();
    }
}
